//---------------------------------------------------------------------------


#pragma hdrstop

#include "lang.h"

//---------------------------------------------------------------------------

#pragma package(smart_init)

//---------------------------------------------------------------------------
// Language Functions:
//---------------------------------------------------------------------------

AnsiString English[] = {"Inactive", "Active", "Exit", "About","Options", "OK", "HotKey", "Cancel",
                        "Start mode", "Last setting", "Remove my settings from registry",
                        "Do you wish to remove all your settings from the registry?",
                        "Hotkey function","Strip formating from the clipboard","Toggle active/inactive",
                        "Remove leading and trailing whitespaces",
                        "Remove leading and trailing linebreaks",
                        "Always start with Windows",
                        "Remove all users settings from registry"};
AnsiString Danish[] = {"Inaktiv", "Aktiv", "Afslut", "Om HovText", "Indstillinger","OK",
                        "Genvejstast", "Annuller", "Start tilstand", "Sidste tilstand",
                        "Fjern mine indstillinger fra registreringsdatabasen",
                        "Vil du fjerne alle dine indstillinger fra registeringsdatabasen?",
                        "Genvejstast funktion","Fjern formatering fra klippebordet",
                        "Skift mellem aktiv/inaktiv",
                        "Fjern mellemrum i start og slutning af teksten",
                        "Fjern linjeskift i start og slutning af teksten",
                        "Start automatisk sammen med Windows",
                        "Fjern alle brugeres indstillinger fra registreringsdatabasen"};

AnsiString LangText(TextEnum t)
{
	switch(PRIMARYLANGID(GetUserDefaultLCID()))
	{
	  case LANG_DANISH:  return Danish[t];
	  default:           return English[t];
	}
}
